%define with_tests 0

%{?_with_gstreamer: %{expand: %%global with_tests 1}}

%define libname %mklibname %{name} 0
%define libname_dev %mklibname -d %{name}
%define libname_orig lib%{name}

%define bzr	0
%define rel	9
%define major	0

%if %bzr
%define release		%mkrel -c %bzr %rel
%define distname	%name-%bzr.tar.xz
%define dir_name	%name
%define buildversion	trunk
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.bz2
%define dir_name	%name-%version
%define buildversion	%version
%endif

Name: gnash
Version: 0.8.10
Release: %{release}
Summary: %{name} - a GNU Flash movie player
License: GPLv3
Group: Networking/WWW
Source0: %{distname}
Patch1:	%{name}-0.8.3-manual.patch
Patch2: gnash-0.8.10-gcc47.patch
Patch4: gnash-0.8.10-CVE-2012-1175.diff
Patch5: gnash-0.8.10-link.patch
URL: http://www.gnu.org/software/%{name}
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	SDL_mixer-devel
BuildRequires:	boost-devel
BuildRequires:	curl-devel
BuildRequires:	doxygen
BuildRequires:	rarian
BuildRequires:	slang-devel
BuildRequires:	libxslt-proc
BuildRequires:	agg-devel
BuildRequires:	mysql-devel
BuildRequires:	libltdl-devel
BuildRequires:	libts-devel
BuildRequires:	libgtkglext-devel
BuildRequires:	gsm-devel
BuildRequires:	nspr-devel
BuildRequires:	expat-devel
BuildRequires:	libgstreamer-plugins-base-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	csound-devel
Buildrequires:	dejagnu
BuildRequires:	speex-devel
BuildRequires:	libxi-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pygtk2.0-devel
BuildRequires:	pkgconfig(mozilla-plugin)
BuildRequires:	gettext-devel
BuildRequires:	libxt-devel
%if %{with_tests}
BuildRequires:	ming-devel >= 0.4.3
BuildRequires:	ming-utils >= 0.4.3
Buildrequires:	netcat
Buildrequires:	wget
%endif
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-ffmpeg
Suggests:	lightspark

%description
%{name} is capable of reading up to SWF v9 files and opcodes, but primarily
supports SWF v7, with better SWF v8 and v9 support under heavy development.
With the 0.8.2 release, %{name} includes initial parser support for SWF v8
and v9. Not all ActionScript 2 classes are implemented yet, but all of
the most heavily used ones are. Many ActionScript 2 classes are partially
implemented; there is support for all of the commonly used methods of each
class.

%post -n %{name}
%_install_info %{name}.info

%preun -n %{name}
%_remove_install_info %{name}.info

%files -f %name.lang
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING NEWS
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk-launcher
%{_bindir}/fb-%{name}
%{_bindir}/gtk-%{name}
%{_bindir}/sdl-%{name}
%{_bindir}/findmicrophones
%{_bindir}/findwebcams
%{_mandir}/man1/findmicrophones.1.*
%{_mandir}/man1/findwebcams.1.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/fb-%{name}.1*
%{_mandir}/man1/%{name}-gtk-launcher.1*
%{_mandir}/man1/gtk-%{name}.1*
%{_mandir}/man1/sdl-%{name}.1*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	%{name} library
Group:	        Networking/WWW
Provides:	%{libname_orig} = %{version}

%description -n %{libname}
%{name} library.

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}render-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}base-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}core-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}device-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}amf-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}media-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}net-%{buildversion}.so
%{_libdir}/%{name}/lib%{name}sound-%{buildversion}.so

#--------------------------------------------------------------------

%package -n	%{libname_dev}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes: %{libname}-devel

%description -n %{libname_dev}
Headers of %{name} for development.

%files -n %{libname_dev}
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/%{name}/lib%{name}*.la
%{_libdir}/%{name}/lib%{name}render.so
%{_libdir}/%{name}/lib%{name}amf.so
%{_libdir}/%{name}/lib%{name}base.so
%{_libdir}/%{name}/lib%{name}core.so
%{_libdir}/%{name}/lib%{name}device.so
%{_libdir}/%{name}/lib%{name}media.so
%{_libdir}/%{name}/lib%{name}net.so
%{_libdir}/%{name}/lib%{name}sound.so
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------

%package -n %{name}-firefox-plugin
Summary:	%{name} firefox plugin
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-firefox-plugin
%{name} firefox plugin

%files -n %{name}-firefox-plugin
%config(noreplace) %{_sysconfdir}/%{name}pluginrc
%{_libdir}/mozilla/plugins/*.so

#--------------------------------------------------------------------

%package -n	klash
Summary:	%{name} konqueror plugin
Group:		Graphical desktop/KDE
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-konqueror-plugin
Provides:	%{name}-konqueror-plugin

%description -n klash
%{name} Konqueror plugin

%files -n klash
%{_bindir}/gnash-qt-launcher
%{_bindir}/qt4-gnash
%{_kde_libdir}/kde4/libklashpart.so
%{_kde_datadir}/kde4/services/klash_part.desktop
%{_datadir}/applications/klash.desktop
%{_datadir}/icons/hicolor/32x32/apps/klash.xpm
%{_kde_datadir}/apps/klash/
%{_mandir}/man1/%{name}-qt-launcher.1*
%{_mandir}/man1/qt4-gnash.1*

#--------------------------------------------------------------------

%package cygnal
Summary:   Streaming media server
Requires:  %{name}-tools = %{version}-%{release}
Group:     System/Servers 

%description cygnal
Cygnal is a streaming media server that's Flash aware.

%files cygnal
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/cygnalrc
%{_bindir}/cygnal
%{_mandir}/man1/cygnal.1*
%dir %{_libdir}/cygnal
%{_libdir}/cygnal/plugins/*.so*

#--------------------------------------------------------------------

%package tools
Summary:   gnash tools
Requires:  %{name} = %{version}-%{release}
Group:     Video/Utilities

%description tools
Gnash tools.

%files tools
%defattr(-,root,root,-)
%{_bindir}/gprocessor
%{_bindir}/soldumper
%{_bindir}/flvdumper
%{_bindir}/rtmpget
%{_mandir}/man1/gprocessor.1*
%{_mandir}/man1/soldumper.1*
%{_mandir}/man1/flvdumper.1*
%{_mandir}/man1/rtmpget.1*

#--------------------------------------------------------------------

%package -n python-gnash
Summary:   Gnash Python bindings
Requires:  %{name} = %{version}-%{release}
Group:     Development/Python

%description -n python-gnash
Python bindings for the Gnash widget. Can be used to embed Gnash into any PyGTK application.

%files -n python-gnash
%defattr(-,root,root,-)
%doc COPYING
%{python_sitearch}/gtk-2.0/gnash.so

#--------------------------------------------------------------------

%package extension-fileio
Summary:   Fileio extension for Gnash
Group:     Networking/WWW
Requires:  %{name} = %{version}-%{release}

%description extension-fileio
This extension allows SWF files being played within Gnash to have direct access to the file system. The API is similar to the C library one.

%files extension-fileio
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gnash/plugins/fileio.so

#--------------------------------------------------------------------

%package extension-lirc
Summary:   LIRC extension for Gnash
Group:     Networking/WWW
Requires:  %{name} = %{version}-%{release}

%description extension-lirc
This extension allows SWF files being played within Gnash to have direct access to a LIRC based remote control device. The API is similar to the standard LIRC one.

%files extension-lirc
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gnash/plugins/lirc.so

#--------------------------------------------------------------------

%package extension-dejagnu
Summary:   DejaGnu extension for Gnash
Group:     Development/Other
Requires:  %{name} = %{version}-%{release}

%description extension-dejagnu
This extension allows SWF files to have a simple unit testing API. The API
is similar to the DejaGnu unit testing one.

%files extension-dejagnu
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gnash/plugins/dejagnu.so

#--------------------------------------------------------------------

%package extension-mysql
Summary:   MySQL extension for Gnash
Group:     Development/Databases
Requires:  %{name} = %{version}-%{release}

%description extension-mysql
This extension allows SWF files being played within Gnash to have direct access to a MySQL database. The API is similar to the standard MySQL one.

%files extension-mysql
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gnash/plugins/mysql.so

#--------------------------------------------------------------------


%prep
%setup -q -n %{dir_name}
%patch1 -p1 -b .manual~
%patch2 -p1 -b .gcc
%patch4 -p1 -b .CVE-2012-1175
%patch5 -p0 -b .link

%build
./autogen.sh
%define _disable_ld_no_undefined 0

%configure2_5x --disable-static --with-npapi-plugindir=%{_libdir}/mozilla/plugins \
  --enable-extensions=fileio,lirc,dejagnu,mysql \
  --enable-renderer=all \
  --with-plugins-install=system \
  --disable-ghelp \
  --disable-rpath \
  --enable-gui=gtk,kde4,sdl,fb \
%if %{with_tests}
  --enable-testsuite \
%else
  --disable-testsuite \
  --without-swfdec-testsuite \
%endif
  --enable-media=gst \
  --enable-cygnal \
  --disable-dependency-tracking \
  --enable-python \
  --enable-doublebuf \
  --disable-jemalloc \
  --disable-docbook \
  --htmldir=%{_datadir}/gnash/html \
  --with-npapi_incl=%{_includedir}
   

%make

%if %{with_tests}
%make check
%endif

%install
rm -rf %{buildroot}
make install install-plugins \
 DESTDIR=%{buildroot} INSTALL='install -p' \
 KDE4_PLUGINDIR=%{_kde_libdir}/kde4 \
 KDE4_SERVICESDIR=%{_kde_datadir}/kde4/services \
 KDE4_CONFIGDIR=%{_kde_configdir} \
 KDE4_APPSDATADIR=%{_kde_appsdir}/klash


#menu entry
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/klash.desktop


rm -rf %{buildroot}/%{_localstatedir}/lib/scrollkeeper
rm -f %{buildroot}/%{_libdir}/mozilla/plugins/*.a
rm -f %{buildroot}/%{_libdir}/mozilla/plugins/*.la

%find_lang %name

%clean
rm -rf %{buildroot}




%changelog
* Fri Jan 10 2014 pterjan <pterjan> 0.8.10-9.mga4
+ Revision: 566104
- Workaround a configure bug
- Fix Buildequires

* Sat Oct 19 2013 umeabot <umeabot> 0.8.10-8.mga4
+ Revision: 529291
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 0.8.10-7.mga4
+ Revision: 451256
- rebuild for new boost

* Mon Jun 03 2013 tv <tv> 0.8.10-6.mga4
+ Revision: 436307
- rebuild for new libpng

* Wed Apr 10 2013 malo <malo> 0.8.10-5.mga3
+ Revision: 409452
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 0.8.10-4.mga3
+ Revision: 351927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.8.10-3.mga3
+ Revision: 332962
- update rpm group
- rebuild for new boost

* Fri Aug 03 2012 fwang <fwang> 0.8.10-2.mga3
+ Revision: 278111
- fix linkage
- rebuild for new boost

* Fri Jul 13 2012 fwang <fwang> 0.8.10-1.mga3
+ Revision: 270622
- update file list
- update file list
- update file list
- update file list
- update file list
- fix build with gcc 4.7
- only build gst media now
- br gconf
- new version 0.8.10
- rebuild for new boost

* Sat Apr 21 2012 luigiwalser <luigiwalser> 0.8.9-8.mga2
+ Revision: 232379
- revert to 0.8.9
- fix CVE-2011-4328 and CVE-2012-1175

  + fwang <fwang>
    - update file list

  + tv <tv>
    - adjust file list
    - Buildrequires:  libxt-devel
    - BuildRequires libGConf2-devel
    - new release

* Mon Nov 28 2011 fwang <fwang> 0.8.9-7.mga2
+ Revision: 173551
- fix build with latest xulrunner
- rebuild for new boost

* Wed Sep 14 2011 fwang <fwang> 0.8.9-6.mga2
+ Revision: 143185
- rebuild for new libpng
- rebuild for new boost

* Sun Jun 26 2011 fwang <fwang> 0.8.9-4.mga2
+ Revision: 114070
- more fix on ffmpeg 0.8
- add upstream patch to detect recent ffmpeg
- rebuild for new ffmpeg

* Wed Jun 22 2011 fwang <fwang> 0.8.9-3.mga2
+ Revision: 111880
- rebuild for new boost

* Thu Mar 24 2011 boklm <boklm> 0.8.9-2.mga1
+ Revision: 76272
- rebuild for bug #497

* Sat Mar 19 2011 eandry <eandry> 0.8.9-1.mga1
+ Revision: 74502
- update files list
- BR gettext-devel
- New version 0.8.9
- rename kde package to klash
- update BR
- use provided desktop files
- drop SOURCE1, included in tarball
- split extensions in their own package
- package python-gnash

* Sun Feb 20 2011 eandry <eandry> 0.8.8-5.mga1
+ Revision: 54624
- remove obsolete conditional
- rename mandriva stuff
- remove mdkversion and buildroot
- bump for upgrade
- imported package gnash


* Thu Aug 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.8-4mdv2011.0
+ Revision: 573384
- Offer two .desktop files, one to appear in the menu so that gnash GUI loads correctly,
  and another to show up in the context menu so that double clicking an swf file works.
  Should fix (mdv#60786) hopefully for good.

* Wed Aug 25 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-3mdv2011.0
+ Revision: 573358
- move plugin conf file in the right subpackage
- don't provide empty changelog, provide versioned changelog

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 0.8.8-2mdv2011.0
+ Revision: 572516
- BR xi for input devices

* Mon Aug 23 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-1mdv2011.0
+ Revision: 572417
- New version 0.8.8 final
- enable every render and media handler, can be switched at runtime
- suggest lightspark for AVM2 handling

* Tue Aug 10 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-0.20100810.1mdv2011.0
+ Revision: 568333
- New bzr snapshot
- BR gsm-devel nspr-devel expat-devel
- New bzr snapshot

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.8.8-0.20100801.2mdv2011.0
+ Revision: 566097
- rebuild for new boost

  + Matthew Dawkins <mattydaw@mandriva.org>
    - make spec file rpm5 compatible
    - make spec file rpm5 compatible

* Mon Aug 02 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-0.20100801.1mdv2011.0
+ Revision: 565045
- fix files list
- disable doc, breaks build
- New bzr snapshot
- drop p0 and p2
- BR tslib-devel and gtkglext-dvel
- don't enable avm2, it breaks build
- set agg as renderer, it's the only one fully working
- update files list

* Sat May 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.7-5mdv2010.1
+ Revision: 546565
- add %%U to Exec line in the .desktop files to make it actually work (mdv #59540)

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 0.8.7-4mdv2010.1
+ Revision: 541525
- fix summary

* Sat May 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-3mdv2010.1
+ Revision: 541508
- drop firefox requires, can also be used by chromium
- add menu entry
- add SOURCE1 (swf sample) because gnash needs argument on opening

* Sun Apr 25 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-2mdv2010.1
+ Revision: 538696
- rebuild

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 0.8.7-1mdv2010.1
+ Revision: 506177
- more linkage fix
- fix linkage
- new version 0.8.7 final

* Tue Feb 09 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100208.1mdv2010.1
+ Revision: 502982
- new snapshot
- bump BR version
- update files list

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.8.7-0.20100131.3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.8.7-0.20100131.2mdv2010.1
+ Revision: 500087
- rebuild for new boost

* Sun Jan 31 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100131.1mdv2010.1
+ Revision: 498782
- New bzr snapshot

* Fri Jan 22 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100122.1mdv2010.1
+ Revision: 495042
- New bzr snapshot

* Mon Jan 18 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100117.1mdv2010.1
+ Revision: 493041
- fix files list
- New bzr snapshot
- create subpackage for gnash tools

* Wed Jan 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20100113.1mdv2010.1
+ Revision: 491014
- disable test, ming-all test failing
- update files list
- add trigger for tests
- enable tests
- New bzr snapshot

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.8.7-0.20091231.5mdv2010.1
+ Revision: 490588
- rebuild for new libjpeg

* Sun Jan 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20091231.4mdv2010.1
+ Revision: 486050
- create conditionnal for gstreamer use
- use ffmpeg media handler to workaround sound issue in youtube (to fix)

* Sat Jan 02 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20091231.2mdv2010.1
+ Revision: 485175
- drop useless BR
- force GST detection
- move files to right package
- create subpackage for cygnal streaming media server

* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.7-0.20091231.1mdv2010.1
+ Revision: 484630
- drop useless/redundant configure arguments
- use major
- update files list
- pre 0.8.7 bzr snapshot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove unused BuildRequires
    - Add csound as BuildRequire

* Sun Sep 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.6-1mdv2010.0
+ Revision: 444891
- Add libgstreamer-plugins-base-devel as buildrequires
  Fix File list

  + Zombie Ryushu <ryushu@mandriva.org>
    - Add missing dependencies
    - Add missing dependencies
    - Upgrade to 0.8.6
    - Upgrade to 0.8.6

* Thu Mar 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.5-1mdv2010.0
+ Revision: 349093
- use %%configure2_5x macro so that we don't have to do silly libtool workaround
- no sense in setting $QTDIR etc., these are already set by the profile.d scripts

* Thu Mar 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.5-1mdv2009.1
+ Revision: 348966
- fix manual (P1, from fedora)
- ignore version the moc files has been generated with, and also add a missing
  one from gnash kde4 bzr branch (P0) so that we now can build kde4 plugin
- build with speex support
- add support for building kde4 klash plugin (not working yet though)
- grf, give up trying to --no-undefined stuff..
- new release: 0.8.5
- fix underlinking (P0)
- do parallel build
- make buildrequires on kdebase3-devel conditional

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 0.8.4-3mdv2009.1
+ Revision: 316576
- rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Mon Nov 10 2008 Funda Wang <fwang@mandriva.org> 0.8.4-2mdv2009.1
+ Revision: 301762
- rebuild for new xcb

* Tue Oct 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.4-1mdv2009.1
+ Revision: 297975
- Fix oversion
- New upstream version 0.8.4
  Fix firefox plugin requires

* Sun Aug 31 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.4-0.20080830.1mdv2009.0
+ Revision: 277695
- Add a switch for kparts(klash) build
  Do not build Kparts for now
  Fix file list
- Disable kparts for the moment
- Fix BuildRequires
- New Bzr snapshot
- Remove --with-qt-lib from %%configure
- Fix kde includes
- Update spec file to version 0.8.3
- Update to Gnash 0.8.3
- More fixes for kde plugin
- Fix kde-gnash move
- Fix install of kde plugin
- New snapshot
  Fix File list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Funda Wang <fwang@mandriva.org>
    - use configure2_5x

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for mozilla-firefox-2.0.0.16

  + Anssi Hannula <anssi@mandriva.org>
    - own %%_libdir/gnash

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-4mdv2008.1
+ Revision: 190470
- Rebuild for new FF

* Mon Mar 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-3mdv2008.1
+ Revision: 189789
- Update description
- build SDL and fb gui

* Sun Mar 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.2-2mdv2008.1
+ Revision: 183138
- fix Buildrequires for branch and cooker
- Fix BuildRequires to allow backports

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed invalid devel name
    - Fixed typo on plugins install lead missing proper konqueror libraries and support

* Fri Mar 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 181153
- Fix files
- New version

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080224.2mdv2008.1
+ Revision: 174434
- drop useless requires

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080224.1mdv2008.1
+ Revision: 174361
- fix files
- fix requires
- BR docbook-dtd412-xml
- New cvs snapshot
- requires gstreamer

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.8.2-0.080207.2mdv2008.1
+ Revision: 164652
- rebuild for new FF

* Thu Feb 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080207.1mdv2008.1
+ Revision: 163799
- New snapshot

* Sat Jan 19 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080119.1mdv2008.1
+ Revision: 155079
- New snapshot
- scrollkeeper is no more
- New snapshot

* Thu Dec 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.071227.0mdv2008.1
+ Revision: 138574
- New snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.2-0.071213.0mdv2008.1
+ Revision: 119675
- New snapshot
- new cvs snapshot

* Thu Nov 01 2007 Anssi Hannula <anssi@mandriva.org> 0.8.1-2mdv2008.1
+ Revision: 104726
- rebuild for libboost

* Thu Aug 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.1-1mdv2008.0
+ Revision: 75313
- Build Klash too
- Fix File list
-Fix build
- New version 0.8.1

* Thu Aug 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070802.1mdv2008.0
+ Revision: 58322
- New cvs snapshot

* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070714.1mdv2008.0
+ Revision: 52082
- fix buildrequires
- New cvs snapshot
- set license to GPLv3

* Sun Jul 08 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070708.1mdv2008.0
+ Revision: 49883
- New cvs snapshot

* Mon Jul 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.0-0.070624.2mdv2008.0
+ Revision: 47249
- Fix File list ( close bug #31709)'

* Sun Jun 24 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070624.1mdv2008.0
+ Revision: 43721
- needs gstreamer 0.10
- New cvs snapshot
- switch media to gstreamer, mad support is broken
- spec cleaning

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 0.8.0
    - New cvs snapshot

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.3-0.070508.3mdv2008.0
+ Revision: 36075
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 0.7.3-0.070508.2mdv2008.0
+ Revision: 31459
- Use simple file list at the time
- Use mad to handle media
- Rebuild for directfb 1.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New svn snapshot

* Wed May 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7.3-0.070501.3mdv2008.0
+ Revision: 20438
- New cvs snapshot


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.3mdv2007.1
+ Revision: 148220
- rebuild for mozilla-firefox 2.0.0.3

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-0.070318.2mdv2007.1
+ Revision: 146874
- don't package the whole sources as doc

* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.1mdv2007.1
+ Revision: 146017
- New snapshot

* Wed Mar 07 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.4mdv2007.1
+ Revision: 134807
- bump release to fix submitting
- reintroduce devel package

* Mon Mar 05 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.2mdv2007.1
+ Revision: 133385
- readd missing file
- drop redundant buildrequires
- buildrequires gtk2-devel
- buildrequires dejagnu
- don't package source tree
- fix libraries packages
- drop devel package
- add warning fix patch from opensuse
- enable sound via SDL

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.1mdv2007.1
+ Revision: 132524
- buildrequires mysql-devel
- buildrequires libltdl-devel
- New cvs snapshot
- buildrequires kdebase-devel
- fix buildrequires
- New cvs snapshot
- disable konqueror plugin

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - reenable konqueror plugin

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot
    - New snapshot
    - New cvs snapshot
    - New cvs snapshot
    - Fix File list
    - Add BuildRequires for test suite

* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 97943
- Fix lib file section (#27686)

* Sun Dec 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 94527
- Fix requires (i hope )  thanks  Gotz
- New version 0.7.2
- Remove useless BuildConflicts
- close ticket #22971

* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.2mdv2007.1
+ Revision: 92241
- buildconflicts docbook-utils
- Rebuild for mozilla-firefox 2.0

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.1mdv2007.1
+ Revision: 90268
- Add BuildRequires scrollkeeper libxslt-proc
- add buildrequires curl-devel texinfo doxygen
- buildrequires docbook-xml

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot for 0.7.2 branch

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 73125
- Add tarball
- New cvs snapshot
- Sync with gnash cvs
- Fix BuildRequires for new xorg
- increase release
- Make the wrning for svn back
- make the source back too
- come back on the svn gnash!!!
- Add a warning about its presence on svn repos
- Remove the changelog from the svn commit
- Created package structure for gnash.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 13 2006 Couriousous <couriousous@mandriva.org> 0.7.1-1mdk
- 0.7.1
- Reenable firefox plugin
- Enable konqueror plugin

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.7-0.20060216.1mdk
- give proper version number
- enable docbook and ghelp
- buildrequires docbook2x
- fix lib64 build
- move la's to devel package
- configure 2.5
- add the standard doc files

* Thu Feb 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060216.1mdk
- New cvs snapshot

* Wed Feb 15 2006 Austin Acton <austin@mandriva.org> 0.0-0.20060123.3mdk
- fix lib64 build

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.2mdk
- Add BuildRequires

* Fri Jan 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.1mdk
- New cvs snapshot
	- For the moment the firefox plugin is not enable because it
		doesn't compile.
- Fix File section (misc)
- Add BuildRequires (misc)

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060110.1mdk
- initial mandriva package
- Patch 0 : Fix Mozilla-firefox detection (baud123)

